org.hibernate.search.elasticsearch.settings.impl.model

## Class AbstractCompositeAnalysisDefinition

- java.lang.Object
- - org.hibernate.search.elasticsearch.settings.impl.model.AnalysisDefinition
  - - org.hibernate.search.elasticsearch.settings.impl.model.AbstractCompositeAnalysisDefinition

- Direct Known Subclasses:
    AnalyzerDefinition, NormalizerDefinition

      public abstract class AbstractCompositeAnalysisDefinition
      extends AnalysisDefinition

  A superclass to both `AnalyzerDefinition` and `NormalizerDefinition`.
  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCompositeAnalysisDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCharFilter(String charFilter)`
    `void` | `addTokenFilter(String tokenFilter)`
    `List<String>` | `getCharFilters()`
    `List<String>` | `getTokenFilters()`
    `void` | `setCharFilters(List<String> charFilters)`
    `void` | `setTokenFilters(List<String> tokenFilters)`
    `String` | `toString()`

    - ### Methods inherited from class org.hibernate.search.elasticsearch.settings.impl.model.AnalysisDefinition

      `getParameters, getType, setParameters, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCompositeAnalysisDefinition

          public AbstractCompositeAnalysisDefinition()

  - ### Method Detail

    - #### getTokenFilters

          public List<String> getTokenFilters()

    - #### setTokenFilters

          public void setTokenFilters(List<String> tokenFilters)

    - #### addTokenFilter

          public void addTokenFilter(String tokenFilter)

    - #### getCharFilters

          public List<String> getCharFilters()

    - #### setCharFilters

          public void setCharFilters(List<String> charFilters)

    - #### addCharFilter

          public void addCharFilter(String charFilter)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved